# Copyright 2022 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).
from odoo import SUPERUSER_ID, api


def _init_partner_sale_project_seq(env):
    for partner in (
        env["res.partner"]
        .with_context(active_test=False)
        .search([("sale_project_ids", "!=", False)])
    ):
        partner.sale_project_seq = partner.sale_project_count


def migrate(cr, version):
    env = api.Environment(cr, SUPERUSER_ID, {})
    _init_partner_sale_project_seq(env)
