# Copyright 2022 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).
from odoo import SUPERUSER_ID, api


def _init_sale_project_intervention_sequence(env):
    for project in (
        env["sale.project"]
        .with_context(active_test=False)
        .search([("intervention_ids", "!=", False)])
    ):
        project.intervention_sequence = project.intervention_counter


def _rename_sale_intervention(env):
    for inter in env["sale.intervention"].with_context(active_test=False).search([]):
        substr = inter.project_id.name + "-"
        updstr = inter.name.replace(substr, "Séquence ")
        inter.name = updstr.replace("0", "")


def migrate(cr, version):
    env = api.Environment(cr, SUPERUSER_ID, {})
    _init_sale_project_intervention_sequence(env)
    _rename_sale_intervention(env)
