# Copyright 2021 Le Filament (https://le-filament.com)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html)

from odoo import fields, models


class ProductPricelist(models.Model):
    _inherit = "product.pricelist"

    # ------------------------------------------------------
    # Fields declaration
    # ------------------------------------------------------
    project_subvention_id = fields.Many2one(
        comodel_name="sale.project.subvention",
        string="Subventions",
        ondelete="restrict",
    )
    type_subv = fields.Selection(related="project_subvention_id.type")
    intervention_type_id = fields.Many2one(
        comodel_name="product.template",
        string="Type d'intervention",
        domain=lambda self: [
            (
                "categ_id",
                "=",
                self.env.ref("ap_sale_project.product_category_forfait").id,
            )
        ],
        ondelete="restrict",
    )
