# Copyright 2021 Le Filament (https://le-filament.com)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html)

from odoo import fields, models


class SaleInterventionPlantSequence(models.Model):
    _name = "sale.intervention.plant.sequence"
    _description = "Sale Sub-Project"

    # ------------------------------------------------------
    # Fields declaration
    # ------------------------------------------------------
    intervention_id = fields.Many2one(
        comodel_name="sale.intervention",
        string="Intervention",
        ondelete="cascade",
        required=True,
    )
    product_id = fields.Many2one(
        comodel_name="product.template",
        string="Espèces",
        ondelete="restrict",
        required=True,
        domain=lambda self: [
            (
                "categ_id",
                "child_of",
                self.env.ref("ap_sale_project.product_category_plant").id,
            )
        ],
    )
    product_alternance_id = fields.Many2one(
        comodel_name="product.template",
        string="Espèces alternance",
        ondelete="restrict",
        domain=lambda self: [
            (
                "categ_id",
                "child_of",
                self.env.ref("ap_sale_project.product_category_plant").id,
            )
        ],
    )
    is_local = fields.Boolean("Est un végétal local")
    qty = fields.Integer("Qté par espèces")
    sequence = fields.Integer(string="Ordre dans la séquence", default=10)
    is_list = fields.Boolean("Est une construction liste")

    # ------------------------------------------------------
    # SQL Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Default methods
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Computed fields / Search Fields
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Onchange / Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # CRUD methods (ORM overrides)
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Actions
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Business methods
    # ------------------------------------------------------
