# Copyright 2021 Le Filament (https://le-filament.com)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html)

from odoo import fields, models


class ProjectSubvention(models.Model):
    _name = "sale.project.subvention"
    _description = "Subventions"

    # ------------------------------------------------------
    # Fields declaration
    # ------------------------------------------------------
    name = fields.Char("Nom de la subvention", required=True)
    type = fields.Selection(
        [("forfait", "Tarif unique"), ("grid", "Grille")],
        "Type de subvention",
        required=True,
    )
    product_pricelist_ids = fields.One2many(
        comodel_name="product.pricelist",
        inverse_name="project_subvention_id",
        string="Listes de prix",
    )
